Page 1

ROCK THE RIVER RETURNS

STUDENTS AID CAUSE OVERSEAS

Everyone’s favorite student-run concert is back and better than ever. See what all the buzz is about! ENTERTAINMENT 14

Dani Pines and Brian Harper collect shoes to improve lives of Ugandan children. FEATURES 11

5100 Jog Road, Boca Raton, FL 33496 Issue 1 Volume 25 October 2008

COLLEGE VISIT SURVIAL GUIDE

Check out our guide on how to make the best of your college visits and to ask the right questions. STUDENT LIFE 19

County Environmental Club institutes budget cuts recycling campaign limit school spending By SID BAJRACHARYA STAFF REPORTER With the recent cuts to the School District of Palm Beach County’s budget, there is a $6.8 million defacit for the 2009 budget. The proposals and slashes in school funding have left schools including Spanish River without needed funds. Last year, the school earned roughly $1 million from its Advanced Placement (AP) program. The state of Florida gives schools a certain amount of money depending on the scores students receive on AP exams at the end of the year. However, the state cut $400,000 from Spanish River’s AP exam revenue in response to budget tightening within the Photo by Alix Luntz school district. The money from the AP Anita Bryant, Emily Galea and Erica Astrove paint the River Goes Green mural to show that Spanish River High School is now actively environprogram is typically used to hire new mentally conscious. It is the first school in Palm Beach County to officially “go green.” teachers, obtain new equipment and pay a whole new generation of leaders to take recycled products to buy new picnic taoff the annual fee of roughly $100,000 responsibility for their future.” He wants bles from one of the sponsors for “River By SAMANTHA SHAVELL for each student to take the exams. other schools to look at Spanish River as Goes Green,” NEXTLIFE, which makes NEWS EDITOR Other school programs are now feeling consumer goods out of recycled plastic. a guide. the pressure. Spanish River High School will be “This year, we have two main goals with Members also hope to reduce the size of “We were already on a bare bones budthe first school in Palm Beach County to the club,” Klager said. “First, we want the Spansh Rivers’s carbon footprint. get, and now supply money and teacher completely “go green” by recycling and school to ‘go green’ and second we want it “Our carbon footprint is the measure bonus money has been cut more,” princithe creation of a zero- waste community, to be a platform for education.” of the amount of trash we generate on pal Dr. Susan Atherley said. which means having no solid waste exit The “River Goes Green” vision is to campus,” Klager said. “ We hope, with the the school. involve everyone in the school: parents, zero- waste plan,to reduce the size of our Environmental Club adviser Stewert teachers, students and administrators. footprint.” We were already on a bare bones budKlager believes that this will help “train The club hopes to use the revenue from * RIVER GOES GREEN continued on page 3 get, and now supply money and teacher

bonus money has been cut more. -Dr. Susan Atherley Spanish River Principal

Within SRHS, clubs and sports programs find difficulties raising the funds they need to run efficiently. School sports and activities such as band do not receive money from the district to cover the expenses of transportation. Most transportation in athletic events must be provided by either the student or parents. Even the money for maintenance and equipment has to be raised by the teams. “The bottom line is, the covering of costs for athletics is now back to the students, parents and fund boosters,” athletic director Kevin McEnroe said. The effects are seen in the classroom as well. The money for new textbooks and materials has become increasingly harder to acquire. One place with this strain is the science department. “The hardest part is raising money for labs and materials and upgrading the equipment,” physics teacherMiguel Nelson said. Even with this year’s budget cuts, Dr. Atherley warns that if this trend continues, the strain will hit harder next year. Sid Bajracharya can be contacted at Siddharthabgalleon@gmail.com

INSIDE THIS ISSUE

NEWS

1, 3

Project chemBOND gives school access to FAU research

an inside look into the science world at the university level. By NATALIE DEUTSCH “I am very excited to be a part of the program. I have learned so many NEWS EDITOR new things,” chemistry honors This year, Project ChemBOND, teacher Meg Leeds said. the newest partnership between The NSF puts out a request Florida Atlantic University(FAU) each year for proposals from and Spanish River High School, which colleges and universities will bring resident scientists into submit their projects. Experts chemistry honors for the 2008are brought in to review the pro2009 school year. The project posals and those that are chosen aims to bring ideas and labs used are funded. at FAU to assist students in conFAU received a grant from the ceptualizing the material as well as foundation in order to pay for the increasing popularity in the field program. Based upon the grant, of science among high school stuFAU intends to provide all madents. Spanish River is one of four terials involved in the program high schools in Palm Beach County throughout the year. Photo By Natalie Deutsch selected to participate in the joint Dr. Donna Chamely-Wiik is Tory Chaiklin, Michelle Moran, Grecia Jacinto and Lyana Issa program. an Assistant Scientist in the Departicipate in project ChemBond and complete a lab in class. Project ChemBOND originated partment of Chemistry and Bioat FAU, where it was successful in imple- hands-on labs at the high school level. chemistry at FAU and is one of four facmenting a curriculum designed to imProject ChemBOND enables teachers to ulty members that oversee the project. prove students’ understanding of chem- become more aware of the latest research istry. According to The National Science occurring in the universities and students * ChemBOND continued on page 3

OPINION

Foundation(NSF), the partnership with Spanish River High School intends to further the success of ChemBOND, by using

4, 5, 6, 7

FEATURES

8, 11 FEATURE FOCUS

12, 13

ENTERTAINMENT

14, 15, 16

STUDENT LIFE

FOR IN-DEPTH STORIES, BLOGS, VIDEOS AND MORE, VISIT WWW.GALLEONNEWS.COM

17, 19

SPORTS

21, 22, 23, 24


2

October 2008 The Galleon

Advertisements


3 NEWS School reaches adequate yearly progress for first time October 2008 The Galleon

Chemistry department expands curriculum *ChemBOND continued from page 1

The grant allows FAU to place Ph.D. and graduate students in the high schools to talk about their research and get students interested in the field of science. This year, at Spanish River, there are two classes participating in the project and one control group, which has not participated in Project ChemBOND. Throughout the year, the classes will complete surveys and take exams provided by FAU to track students’ progress. Some of the labs that will be completed have been tested at FAU, and others have been created specifically for this project.

The school is pushing for at least 68 percent of students in the bottom 25 By TAMARAH STRAUSS percent of their class to be proficient in STAFF REPORTER math. Last year 62 percent of the lowest 25 percent of students made gains For the first time in its history, Spanin math, according to the 2008-2009 ish River has met 100 percent of the School Improvement Plan. And just as Adequate Yearly Progress (AYP) criteachers in the English department are teria. According to the No Child Left doing all they can to improve students Behind Act implemented in 2001, all scores, so are math teachers. U.S. public schools are required to “We are paying attention to level report student achievement based 120% %met high 2 scoring FCAT students by givon test results in math, reading and 100% standards in ing extra practice and maintaining reading writing, as well as high school grad- 80% normal FCAT preparation by giving %met high uation rates. The AYP report for 60% standards in weekly assignments to 9th and 10th Spanish River breaks down FCAT math graders,” geometry teacher Ellen 40% test results for racial groups, so% of AYP Reilly said. met overall cioeconomic groups, students with 20% Aside from concentrating on the disabilities and students whose 0% lowest 25 percent of students in the 2 0 0 3 - 0 4 2004-05 2005-06 2006-07 2007-08 first language is not English. In orschool, Dr. Atherley is also focusder for a school to reach the AYP, ing on the top 25 percent of students, each group must reach its target. “In class, I try to incorporate necesmaking sure that they continue to “It is difficult for any high school sary writing and reading skills into my show progress when taking the FCAT. to reach their target,” Principal Dr. Su- curriculum, instead of handing out adAs memebers of one of the few schools san Atherley said. “Meeting AYP shows ditional worksheets,” English teacher in the district to reach AYP, Spanish that we are focusing on all of our stu- Jamie Quevedo said. River students and faculty are being dents and that all of our students are Teachers are also taking advantage recognized for their great achievement showing gains.” of the availability of more academic and hope to have the same success this Spanish River’s 2007-2008 goal resources such as FCAT explorer SSS coming year. was to have 52 percent of students in diagnostic tests and the use of practice make gains in reading. According to the 2008-2009 School Improvement Plan, 60 percent of those students improved in reading last year. This year, the goal is to have at least 65 percent of these students make gains in reading. Many teachers are modifying their lesson plans in order to ensure progress for every student. Spanish River’s Academic Improvement

the bottom 25 percent of each grade

Tamarah Strauss can be contacted at Tamarahsgalleon@gmail.com

questions.

Campaign benefits environment Photo By Natalie Deutsch

Chemistry students work dilligently on an in class assignment assigned by the ChemBOND resident scientist.

Graduate students in chemistry participating in the program receive a stipend which helps pay for their tuition. In addition, the program provides practical training in teaching in the classroom setting. “I have always been interested in medical discovery which is really what got me into science,” resident scientist Vanessa Seamon said. The goal of Project ChemBOND, is for students to learn Chemistry in a more hands-on way and to become more aware of the role science plays in the world around them. “I’m excited because it’s [the program] is a peek inside the life of a graduate student scientist,” sophomore Grecia Jacinto said. Project chemBOND is expected to enhance students’ understanding of scientific research and will remain at Spanish River for at least five more years.

* RIVER GOES GREEN continued from page 1

The club was started two years ago. In previous years, members only picked up paper, but now, with donated receptacles from a local vendor, Shred Trust, Environmental Club will pick up bottles, cans and old metal products as well. All the recycling goes into the Green Zone, an area in the back of school designated for this purpose. According to Klager, the “River Goes Green” campaign will help beautify Spanish River and reduce solid waste and energy cost. Spanish River will also be rewarded for its progress and will eventually be paid for its recycled

products by ShredTrust. “It is the perfect time to take Environmental Club to the next level,” Susan Stallone, Morgan Sutton, environmenassistant tal club secretary, picks up director to recycling. the club, and PTA vice president said. There has been positive feedback from students about the “River Goes Photo by Skylar Klager

Green” campaign. “I think it is a good idea that the school is involved with something other than academics,” junior Katie Westrich said. The club is expanding its number of members as well as its idea. This year, there will be different committees and committee heads to represent the Green Team school board. One committee, the art committee, was responsible for the new mural painted on the wall outside the 8000 building. Later in the year, they are hoping to design recycled art sculptures. Samantha Shavell can be contacted at Samanthasgalleon@gmail.com

Voices in the Crowd

How do you contribute to the “River Goes Green” Campaign? “ I am in environmental club and recycle every Friday.” - Samantha Schaum, 11

Natalie Deutsch can be contacted at Nataliedgalleon@gmail.com

“I try and cut down on using plastic water bottles by using water fountains.” - Lindsey Gerzina, 10

“I ride the bus to and from school to save gasoline.” - Muhamad Maghoub, 12

The Galleon 2008-2009 ONLINE EDITOR Emily Yin

ASSOCIATE EDITOR Jessica Stallone

ART EDITOR Carly Coleman

ARTS & ENTERTAINMENT EDITORS Jason Grobstein Alison Sikes

NEWS EDITORS Natalie Deutsch Samantha Shavell

PHOTOGRAPHY EDITORS Skylar Klager Alix Luntz

FEATURES EDITORS Jennifer Lieberman Eliana Newman

SPORTS EDITORS David Estrin Haley Feigenheimer

STUDENT LIFE EDITORS Katyayani Jhaveri Hillary Langsam

FEATURE FOCUS EDITORS Alban Harrison Elizabeth Moses

ADVISER Suzanne Sanders

EDITORS-IN-CHIEF Katiana Krawchenko Nadine Zylberberg

STAFF REPORTERS Sid Bajracharya Carly Coleman Lindsay Gold Nicole Granet Renee Siegel Tamarah Strauss Jason Weltman The Galleon is a public forum. Principal Dr. Susan Atherley

The Galleon is a member of Quill and Scroll Honorary Society for High School Journalists, Florida Scholastic Press Association, Columbia Scholastic Press Association, Southern Interscholastic Press Association, National Scholastic Press Association.


4

October 2008 The Galleon

OPINION

What’s in a Middle school advice leads to life-long lesson name? By KATIANA KRAWCHENKO EDITOR-IN-CHIEF By NADINE ZYLBERBERG EDITOR-IN-CHIEF Zylberg. Zilberber. Silverberg. I can easily create an entire encyclopedia with the countless pronunciations and spellings of my last name. I have read newspaper articles, heard phone messages and received letters, all in which my Polish surname is either misspelled or mispronounced. As if written in hieroglyphics, many bravely tackle the linguistically impossible combination of letters, while others avoid the difficult process entirely. In fact, a recent call to Barnes and Noble confirmed that I am not merely exaggerating the extent of difficulty people encounter when dealing with my last name. I called the book store to put a book on hold, and when asked for my last name, I said (and slowly, mind you), “Zylberberg.” “Sorry ma’am, could you repeat that?” “Zylberberg,” I replied, even slower and more enunciated than before. “I’m going to have to ask you to spell that out, please,” I heard over the receiver. And I began the all too frequently used phonetic spelling of my name. “Z as in zebra, Y as in yellow, L as in lion” and so on. “Okay, Ms. Z-eye-lberberg, your book will be reserved for three days.” It took a whole seven minutes just to spell out my name, and so I found it a futile attempt to also indicate to the man on the other line how to say it. Of course I cannot expect a stranger to accurately spell or pronounce my last name on a first, third or even fifth effort if some of my closest friends cannot do so either. However, the constant butchering is frustrating nonetheless. But come to think of it, in college, on tax returns and at war, individuals are not known and addressed by their names, if not by numbers. I know that next year, my nine-digit social security number will replace my 16 letter-long name. In some ways, it sounds appealing. After all, I highly doubt anyone in a professional setting will butcher a number. There will be no more irritation or embarrassment, no more need to speak at a snail’s pace just to let people know who I am. And then I think about it further. A number. To have to identify yourself as a number in various settings later in life is rather impersonal and lacks any semblance of affection. At least I know that when teachers, bosses and peers attempt and, subsequently, fail to address me properly, there is a sense of sincerity in their approach. So for those of you who share my frustrations, I suggest you come to accept and even embrace the moments when people say, “Hi, (insert complicated name here)” because you will miss them once you start to fill out those tax forms, or even earlier, write that nine–digit social security number at the top of your college Biology test. Regardless of everything, it is that indecipherable and dread-inducing ‘Zylberberg’ that has given me the opportunity to see the sincerity behind the constant attempts to pronounce it. And for those of you that have equally complicated last names, there is good in it. You just have to find it. Nadine Zylberberg can be contacted at Nadinezgalleon@gmail.com

The best advice I’ve ever received came from my eighth grade social studies teacher Mrs. Cohen. “Don’t spread yourself too thin in high school. Concentrate on the things you’re good at and make the best of those. Otherwise, you’ll sacrifice the success of some activities for others. Don’t forget to have fun along the way!” Hmm, I initially thought. Well of course I’m going to do a lot in high school and have fun. I like so many things and I want to experience everything. I’ll never let that happen to me. Mrs. Cohen’s words absented themselves from my mind for a long period of time. For the first two years of high school, I adjusted quite well to my new surroundings. Coming from a small private school where my graduating class was a mere 25 people, I entered the halls of Spanish River with quite a culture shock at first, almost suffocated by the overwhelming number of people that I had to crash into to get to class. It was a bit of an adjustment at first, but I carried on and drifted into la-la land for the first two years of high school. Then, junior year hit me like a truck. Five weeks into the first semester, Mrs. Cohen’s words suddenly flooded my mind, conquering my every thought. Don’t spread yourself too thin. Don’t spread yourself too thin. It was a nightmare. One Thursday night I came home from school at 6:00 because I was finalizing the last details of The Galleon’s news section, rushed to SAT class for two hours, came home for 3 minutes and then headed out the door to my weekly violin class. Home by ten, I was ready to burst. I still had to do all my homework and write an article for another publication that was due the next day. WHAT have I gotten myself into? I asked myself with disgust. Well, what I had found myself was a situation all too common for high school students: the phenomenon of “spreading yourself too thin.” Of course it’s important to do what you love, and how great it is to be ambitious enough to

want to take on so many activities. We’re supposed to be well-rounded people and initially, taking on as many activities as we’d like often sounds like the best thing to do to get there. But how much is too much? I reached the point, as many of our peers do, when I thought if there were five minutes left in the day, I would just continue to work until I went to sleep. But really I was creating unnecessary work for myself and slowly draining the fun out of my life. I had lost the enjoyment of each of my activities because I was constantly focusing on what I had to do next. Often what people experience is far worse than what I went through that year, balancing part-time jobs, running three clubs, captaining varsity sports teams and doing 358 hours of community service. But simply put, it’s time for all of us to slow down. Instead of participating in 8 clubs and activities, choose a few that you are particularly passionate about. Giving a little of your time to many different areas will just leave you clueless as to what you want to do with your life, and you won’t get enough value out of it. Especially at the height of college application season, it’s easy to lose track of what you believe in when all you can focus on is padding your resume to fit what you think college admissions boards want from you. But it is more than likely that you will not be remembered for the 98 community service hours you did in high school, or that one C you received on a Spanish test. Colleges want to know who YOU are, not the image you’ve created by trying to please them. High school should be looked back on as one of the greatest times in your life, not as one continuous stretch of stressful assignments. Take time to relax and get to know yourself. In the long run, when your family and career are established, what matters most is who you become by learning from your own experiences and from what you believe in, not the time you spent burning yourself out in high school. As Mrs. Cohen once told me, it’s just not worth it.

Katiana Krawchenko can be contacted at Katianakrgalleon@gmail.com

Reduce, re-use, recycle: change world step by step Sometimes we hear people say, “I’m ust one person, so I can’t make a difference.” This statement is normally followed by the listener rolling their eyes in disgust. We are a society that lives on Sarbucks and Red Bull; how can people seriously say they do not have the energy to try and make a change for the better? Each and every person that walks our halls can helpe ot make River Go Green. One simple decision ca make a world of difference.It takes just as much energy to walk from you desk to the trash can as it does to the recycling bin. They’re in every classroom, so don’t use that as an excuse. Make the extra

effort. Choosing to recycle is one of the easiest ways to begin to help our planet; also one with the most impact. The River Goes Green campaign is atruly revolutionary program that is making Spanish River the first Palm Beach County school that is 100% waste free. 100%! Everyone is participating, even us. The Galleon’s role in this plan: we have implemeted our website and are printing fewer issues, emailing all of our stories and turning off our computers at night. Your part: choose to recycle. It’s easy. Environmental Club has strategically placed receptacles all over the campus. It’s simple. It’s the right choice.

Our View


OPINION Scientific health studies create obsessive followers By EMILY YIN ONLINE EDITOR THIS WILL PREVENT HEART AND LIVER DISEASE! Doing that will cause cancer! Today, you cannot watch the news or open a newspaper without hearing about a new scientific health study, along with a warning or recommendation; many promote or discourage the most peculiar of habits, from eating grapples to using conditioner. The ridiculousness of these suggestions can be pathetic – almost as pathetic as the fact that I follow the advice religiously. Some of the publishers of these studies attempt to convince the public of a product’s near-magical – or flat out miraculous – effects. Anyone who knows my eating habits would fall over laughing at the thought of me following a nutritious diet. I consume “bad” carbs as if they were water, 95 percent of vegetables make me gag and the food pyramid is a shape I choose not to recognize. Yet I only needed a passing mention of the miracle power of pomegranates to convince myself to eat the unpleasantly bittersweet fruit and drink its sour juice. Just the same, I mindlessly heeded the praises of olive oil, blueberries, garlic (luckily a short phase) and more. I don’t do it for the health benefits; I can barely plan what I will eat tonight, let alone how it may affect me in 20 years. The fact is that I simply cannot resist foods with proven magical healing and disease-preventive powers. Yet due to my picky eating habits, these miracle foods generally last only days in my diet plan. Conversely, I am pitifully intent on sticking to bizarre routines in order to avoid actions that are “proven” to cause cancer, lung disease or, ominously, even death. Sometimes I publicly scoff at the sinister warnings,

while secretly heeding them at home – you know, just to be safe. One example: I have begun avoiding my kitchen. The thought of the innumerable health risks that my radioactive granite counters could pose is overwhelmingly frightening; what if I were unable to reproduce later in life due to my childhood time spent in the kitchen? Is “I liked sitting at the counter” a reasonable excuse for my future child’s inexistence? I would think not. The most well-known and my most strictly followed of all the dire health recommendations are the no-water-bottle-in-the-freezer and no-standingin-front-of-the-microwave warnings. To be honest, I am not even sure what illness the former causes – but whatever it is, I know that I do not want to develop it. Moreover, no matter how awkward of a situation I inevitably create, I will always make an attempt to avoid standing in front of microwaves while they are in use to avoid the cancer-causing radiation – be it bending over backwards or ducking behind the counter. Some call this silly, saying the amount of radiation from a minute or two of microwaving is minimal. However, I was recently convinced that cell phone waves also cause brain cancer. Thus, to be reasonable, if I allot myself a “safe maximum” of radiation per day, I am not going to waste my free night and weekend minutes standing in front of a microwave! When reading the warnings put forward by the publishers of these studies, I cannot help but chuckle. In part, it is because many of them suggest absurd lifestyle changes; but mostly, it is because I know that I am one of the asinine nutters who faithfully follow their advice. Emily Yin can be contacted at Emilyygalleon@gmail.com

Que sera sera- how to deal when life deals you out By JESSICA STALLONE ASSOCIATE EDITOR Life is stressful. As high schoolers we have countless things to worry about and stress over. College? Crossing our fingers that we get in somewhere... anywhere. Grades? Doing our best to maintain x.x GPA. And we have tons of pressure to deal with, coming from almost every direction. Parents. Friends. Teachers. You name it...we feel the pressure. We do whatever we can to control the outcome. Take the hardest classes to impress the top colleges. Sleep as little as possible to get as much work done as we can. But what happens when suddenly, it’s out of our hands? Once you press that big red submit button on your UF application or submit that piece of poetry to that national contest, that’s it. You’ve done everything you could do, and now its out of your hands. I speak with good authority that that feeling of not being in control is...unpleasent to say the least. I too have planned at nauseam, only to be disappointed by someone else’s decision. So how are we possibly supposed to deal with all of this? We’re only teenagers for crying out loud. For a good portion of my high school career I was lost. I had no idea how to handle the enormous amounts of

stress I was feeling; and not being in control? Well that just was not an option. Sleepless nights, butterflies in my stomach and what seemed like an endless migraine. Social life? Who has the time? Sports? Forget about it. The word balance was not in my vocabulary. It had to be all school all the time or how was I going to get into college? I let my life be taken over by my neurosis. Then one day I saw the Alfred Hitchcock movie The Man Who Knew Too Much. Now I know what your thinking- how could a scary movie possibly reduce my stress level? Well, in the movie, Doris Day sings this song to her daughter and it really struck a chord with me. It goes like this “ Que sera sera. Whatever will be will be. The futures not ours to see. Que sera sera.” And then it hit me. There is no way that a person can possibly control every facet of his/her life, and we’re not meant to. You just have to do what you can and hope for the best. The future will work itself out and your job is to be in the moment, and roll with the punches. So next time your feeling especially stressed about college, or are on the verge on a nervous breakdown because you just can’t possibly handle the pressure...pop in an old Hitchcock movie and just remember-- que sera sera.

October 2008 The Galleon

We want to hear from you!

Please give us your thoughts on our first issue of the school year or any story ideas you have for us. Please drop off letters in The Galleon room, 8217, or leave a message on our website, www.galleonnews.com.

Advertise with The Galleon! Pick up an ad form in room 8217 or download one from our website

Jessica Stallone can be contacted at Jessicasgalleon@gmail.com

Quote of the Month

5

“ You must be the change you wish to see in the world.” -Mahatma Gandhi


6

SHARK ATTACK

October 2008 The Galleon

S H A R K S

out of

W A T E R

Honors marine biology studen ts travel to Key Largo for a snorkeling trip .

se nson po Sara Joh ocks d n a e Levin k Pink R Melissa t the Thin er research. a Juniors h fa ti a canc een L with Qu nefitting breast e b t r conce

Spanish River ch eerleaders root for the sharks at the Wes t Boca football ga me.

Letter from the Editors The year 2008 has seen many ups and downs: skyrocketing gas prices, women going farther than ever before in the political arena, increasing college costs and decreasing availability in the job market. However, despite this rollercoaster ride of a year, The Galleon has only seen improvements-- we’ve launched an innovative website with constantly updated stories and photos and with this year’s exceptional new staff, we are able to update you on school news that you won’t find in the paper. From two River students who are taking small steps to better the lives of Ugandan children (check out page 11) to the recent “River Goes Green” effort (see page 1), Spanish River has shown that the school is also improving. We hope you enjoy this issue, as well as the year that lies ahead!

An addition to your favorite places: galleonnews.com Welcome back, Sharks! This year we at The Galleon have created a new website to make staying informed easier than ever. There you will find exclusive articles, photos, videos and more. We are striving to make school news and current events more accessible to students; check out www. galleonnews.com today!

2008-2009 Class Presidents SENIOR Melanie McCormick

JUNIOR Max Shapiro

SOPHOMORE Jordan Cohen

FRESHMAN Zach Schultz

THUMBS UP Fall weather New biotech building Fixed air conditioning

THUMBS DOWN High gas prices College applications Random power outages

A word from student council president: Scott Staniewicz Hey, student body! I hope you’ve had a good year so far and enjoyed our first pep rally. The next one, our Homecoming pep rally, is only five weeks away. The theme this year will be Jungle Homecoming. We have a lot of fun activities planned, so make sure you participate as much as possible. Also, make sure you support our sharks! If you have any questions or concerns, don’t be afraid to ask me or any other student council member. Have a great year!!


EDITORIALS

October 2008 The Galleon

FACE OFF

7

Hear what teachers have to say as they go head to head. This issue’s topic:

Should poilitcal candidates personal lives influence the way people vote? By BRETT BURKEY ECONOMICS TEACHER Human beings can’t help but be affected by the package in which a candidate’s character and job qualifications are wrapped.  How often has a fancy new label, color change, or container influenced you to buy an item you knew little about?  How frequently, in the real world but of course never in high school, are we immediately attracted to another individual before we’ve uncovered any of their substance?  This premise is the thesis in Advertising 101, it’s why I should have been a plastic surgeon, it’s why a campaign’s favorite tools are Adobe Photoshop and the sound bite, a n d it’s why you and I know little about the c a n didate’s positions on the issues.  The images of John McCain in a Vietnamese P.O.W. camp, Sarah Palin and Barack Obama sourrounded by their respective families, and Joe Biden’s stories of his “sainted” mother resonate strongly with voters.  But so does the widely circulated image on the internet of Sarah Palin brandishing a rifle while wearing an American flag bikini and the oft spread misinformation that Barack Obama was sworn into the U.S. Senate with his hand placed on the Koran.  What’s very interesting is that many Americans have an embedded notion that the media is strongly biased and can’t be trusted.  Thus, when a piece of information is conveyed by what appears to be an independent source, the refutation by the media only seems to strengthen people’s support for the erroneous statement.  The number of Americans who still think that Saddam Hussein was involved in 9/11 and that Sarah Palin told the “good ol’ boys” to keep their “Bridge to Nowhere” is testimony to the power of pneumatically repeated propaganda. Shopping for a candidate is similar to shopping for your groceries.  Who stands there in the aisle pouring over the ingredients and c o m p a r a t i ve value of each item we buy?  We tend to  purchase what we’re familiar with, and we gain familiarity from advertising.  If we had the time and energy to taste test everything we bought, in the long-run we might be happier.  But it’s more likely that we’ll buy the name we’ve heard most often in the most colorfully adorned package that we see.  Americans today are over-worked, buried in debt, worried about their retirement, trying to keep their homes, struggling to raise children and trying to look after their own health and well-being.  Who has time to cautiously dissect the next leader of the free world?  Politicians have been using the power of imagery since the first election.  Undoubtedly, you will hear the word “maverick” and the word “change” 50,000 more times before November 4, you’ll be able to name all of Sara Palin’s children and be virtually present at the birth of her grandchild, you’ll almost be able to smell the Sunday breakfast after mass in Joe Biden’s boyhood home, you’ll absolutely slip up once or twice by saying “Osama” when you mean “Obama”, and Palin will be the “hottest governor from the coldest state”.  We are emotional, hormonal, and irrational beings and we process, evaluate, and digest images with immeasurable speed.  It’s an incredibly daunting task for logic and rational analysis to penetrate the fortress of the pre-conceived. 

By NATHAN HESS ENGLISH TEACHER Private lives should stay private. We are not voting for Mr. or Miss Congeniality (if were no policitian would ever win). We are voting for the President of the United States, only the person we elect to lead and represent our country. Too much time is wasted on personal conduct and private matters. Perhaps I should thank TMZ and tabloid magazines for this. H o w e v e r, CNN, MSNBC and FoxNews run the same stories, just with different people. Paparazzi chase musicians, actors, and big name athletes, 24 hour news channels chase politicians. These “unfortunate discretions” are not relevant to me. Governer Palin’s teenage daughter is pregnant. I do not see how this will affects Palin’s role as president of the Senate. The Alaskan governor’s newborn son was born with Down’s Syndrome. I do not see how this will affect her foreign policies. Senator Edwards came clean a few months ago that he had an extramarital affair. President Clinton cheated on his wife Hillary while he was in office. I cannot excuse what John Edwards and Bill Clinton did, but what I am interested in are policies and decision making. I want to know Barack Obama’s energy plan. I want to know John McCain’s timeline for troop withdrawal from the Middle East. It seems that the issues have taken a backseat to the gossip column fodder. I can tell you that McCain has been married twice and his vice presidential candidate ran for the title of Miss Alaska. I can also tell you that Obama had 17 year old traffic tickets, from his time attending Harvard, that he coincidentally paid right as he began campaigning. How many of us know M c C a i n ’s plan to move out of this economic recession? How many of us know Obama stance on healthcare? Come election day, how can we make a sound decision if we do not?

How do you feel about this important issue? Share your thoughts on our blog. Check out galleonnews.com for more information. Have your voice heard! Images courtesy of People Magazine and Time Magazine.

What Do Think? “I strongly feel that people should only be affected by policy. Personal lives should not be a factor.” -Hannah Jaffe, 12

“Their personal lives are important because it’s important to know as much about them as possible.” -Ian McCann, 11

“I think that their personal lives should factor in becasue it reflects their character.” -Brittany Springsted, 11 Photos by Jessica Stallone


8

FEATURES

October 2008 The Galleon

ESE program meets unique educational needs Unknown to many people, resting quietly among the many magnificent and diverse programs at Spanish River High School lies the Exceptional Student Education Program (ESE). Most people are not aware of the immense dedication, motivation and inspiration devoted to the ESE program, which has been at Spanish River since the school doors opened 25 years ago. containing students who are intellectually challenged “It brings a smile to their faces to see me, so on a different level. The students work with Coach I just try to return the favor,” Jones said. By ELIANA NEWMAN Ray Berger who teaches them how to deal with many The third program focuses on placing FEATURES EDITOR things including money, time and basic calendar students in courses offered at River and among other skills. Berger said that the students are taught what is things, teaches the children occupational skills and The program has about 155 students appropriate and what is not appropriate and personal job training that they will be able to make significant and is divided into different sects, each that pave skills they can use on a daily basis. use of in their future. It also incorporates modified opportunities and possibilities for the students Rita Bolling, choral director at Spanish River core Spanish River academic classes, such as math, enrolled. The majority of the students who attend the holds music therapy and music appreciation classes English, social studies, and science. part time program are able to receive a regular diploma for the students in both programs. She conducts a Principal Dr. Susan Atherly is proud of and attend regular variety of activities with the students based the ESE program, as it provides and enriches the class. Approximately on their capabilities ranging from rhythm environment for the rest of the student body as well. 30 students attend reading to listening to rock and roll. “It teaches the students at school how to adapt, the full time program, Musser believes it is important socialize, accept differences, and to be passionate and where they are that the students compassionate about other children placed in one of three experience the elective and help them,” Principal Dr. Susan programs based on classes because not Atherly said. their intellectual only does every new Students are able to interact disabilities. experience add to their with others whenever they are seen “It’s definitely life, but the students outside in the courtyard, in the a very helpful program are entitled to have hallways, in classes or at any other photo by alix luntz to the students who the experience of time. need it,” Karen Students work together with an ESE studying and learning “Coming from a private school Musser, head of the teacher in Coach Berger’s classroom. the elective subjects. four years ago, Spanish River exposed ESE program said. “If it weren’t for the program, the The physical me to classes with people who were students would not get an education like the one they education classes at Spanish different for the first time,” senior receive; they need the stimulation and interaction River play a large part in the Taylor Levins said. “The experience photo by alix luntz provided in a real world setting.” daily schedule of both of the provides me with a new found respect While on the courts, aside from basketThe curriculum in each program is modified programs including students ball, the students stretch, run, and par- for others.” exactly to benefit the needs specific to each child. with more physical challenges ticipate in other activities. Through the ESE program, Within one of the programs, students who are more and intellectual challenges, students will be able to graduate and physically and intellectually challenged work with as well. Coach John Jones works with the children this year, one student will not only graduate with the speech, physical and occupational therapists who every day and helps get the students out of their 2009 class but also attend Grad Bash at Universal meet with the children weekly in order to set and wheelchairs for an hour, enabling them to participate Studios. The Exceptional Student Education Program accomplish goals and make progress with them. in activities that incorporate running, catching, at SRHS provides the students and their families with Aside from learning educational skills on special kicking and throwing. a place of security and top care, and with chances and computer programs, some students in the program “I was given this chance a year ago and it has hope that they may not have found anywhere else. attend classes with students at River and participate changed my life forever,” Jones said. “We all need to Although it may take these children longer than other in electives including chorus. learn to be good in our everyday life.” students to finish high school, it is simple to see how “I love these kids,” Mary Delucca, head of the Jones understands and implements the idea they triumph every day and make incredible strides Special Needs Awareness Club said. “You can imagine with the children that everyone needs to get some that can serve as a great inspiration to others. how the program affects their lives.” form of exercise on a daily basis. He helps the children Basic functional, daily, and vocational not only get their daily intake of exercise, but brings Eliana Newman can be contacted at living skills are emphasized in a second program something special to their day. Elianangalleon@gmail.com

ESE THROUGH THE YEARS

1987 ESE juniors and seniors at the Spanish River prom

2002

2005

Graduating ESE seniors celebrating the end of the year

Students at a dance organized by the ESE program Photos courtesy of Karen Musser

River teachers excel beyond the classroom M S. C A N G E L O S I

AP Environmental Science teacher Nicole Cangelosi plays in the World Adult Kickball League. She plays on a team in the Palm Beach Gardens division of the league.

The Galleon: How did you find out about this league? Nicole Cangelosi: Through friends who played in New York last year. TG: Has your team won any competitions? NC: We take the sport very seriously. We won local competitions and qualified for the national tournament in Las Vegas. It was a really exciting series and we really played our hearts out. TG: How do you think your team will do in Las Vegas? NC: We are such a competitive team and I can only hope that we are competitive at a national level as well.

M r. k l a g e r

Psychology teacher Stewart Klager has his own carpentry business where he works with wood. He works on a weekly basis after school, on weekends and on school breaks.

The Galleon: What exactly do you do? Stewart Klager: I make custom creations where I reface wood. Most often I re-do kichens. TG: How did you get started doing this? SK: It [woodworking] stared as a hobby that turned into a business. TG: Have you had any interesting experiences? SK: I’ve had a lot of tool injuries like sawing fingers and even getting my hand stuck in a sander.

M r s. k u n f

English teacher Marcia Kunf voluneers her time at the Broward Correctional Institution, a women’s maximum security prison. Just two years ago, it was one of two women’s jails in Florida that had death row in it. The Galleon: How often do you volunteer at the prison institution? Marcia Kunf: I volunteer twice a month as well as t w o weekends per year. TG: Why do you enjoy counseling in in the chapel, specifically? MK: [The chapel] details women who wan t to change their lives. If they have the mindset that they want to change, they can do it. TG: What have you gained from this experience? MK: I have seen women who radically change their lives. Information compiled by Renee Siegel Photos by Skylar Klager


ADVERTISEMENTs

October 2008 The Galleon

9

Your Neighborhood Orthodontists

LARRY KAWA. D.D.S. GEORGE NICOLAS, D.M.D.

Spanish River students are coming to the Student Den!

•Clear, Silver and Invisible (behind the teeth) •Invasalign Also Available •Braces for adults and children •Free Consultation Free Second Opinoin •Se Habla Espanol Insurance Accepted •TMJ Treatment (Surgical and Non-Surgical) www.braces1.com

Open Mon. & Thurs. Evenings

Offered exclusively at Student Den the night before test.

Mission Bay Plaza 20423 State Road 7 Suite F18, Boca Raton

Call for the schdule and come on in for

(561) 852-7070

Home of Danny the Dolphin

One FREE session!


10

October 2008 The Galleon

ADVERTISMENTS

Dr. Ronald E. HAWK, D.D.S. Dental artistry

951 NW 13th St # 3E Boca Raton, FL 33486 Phone: (561) 391-5242 Fax: (561) 394-8959

2300 Glades Road West Tower Suite 340 Boca Raton, Florida 33431 561.416.0170 Fax: 561.416.0171 aseiden@seidenlaw.com

Andrew Seiden Attorney at Law

BOCA RATON MIAMI


FEATURES

October 2008 The Galleon

11

Harper, Pines donate shoes to Ugandan schools, raise awareness Deb Carter, one of Spanish River’s Distributive I was immediately excited and willing to help,” senior Education Clubs of America teachers, appointed Dani Pines said. “With such a heightened awareness By LINDSEY GOLD Harper and Pines for this project. They are also being of the problems children are facing in Africa, I was STAFF REPORTER assisted in their endeavors by Rhonda Lesniak of glad to have the opportunity to begin reaching out to Uganda, a small country home to over 30 million FAU and the College of Charleston’s African History these kids. Giving them shoes to protect their feet is such a basic need that truly needs to be fulfilled.” people and of 93,104 square miles, is covered by large, Majors. Harper and Pines are in search for new flip flops and Lesniak aspires to accommodate not only the rocky dirt roads consisting of huge pot holes. During sandals, in sizes for students ranging from four until need to provide shoes for all of the students, but to rainy season, the water accumulates in the pot holes sixteen years of age. They are planning to apprise the raise money to pay for students’ tuition, send them and it becomes excessively muddy. Walking is the community about their efforts in this project through 400 pounds of school supplies and provide a salary only form of transportation. Uganda is home to over fl yers and PSAs. If students are interested in assisting for the school’s nurse, who was laid off because the 30 million people. The entire country is double the them in their efforts, three new pairs of flip flops school could not afford her annual salary size of Pennsylvania. and sandals can earn one community service hour. of the equivalent of $1800 U.S. per year. Uganda is severely Interested donors can bring shoes that meet the listed The single nurse and her fi ve children underprivileged and qualifi cations to Spanish River and drop them off in have no home and are forced to sleep does not contain the a box that will be set up in Denis Sweetapple’s room, on the fl oor of their church. Lesniak is basic necessities that 1412, as well as Deb Carter’s room, 1313. truly passionate about her actions and are accessible here in “I hope that our Spanish River community will feels, although diffi cult, her goals can be the United States such help Brian and I do a attained. as school uniforms great job in collecting as “All of the and shoes. It is one many pairs of shoes as children are of Africa’s poorest possible,” Pines said. barefoot and they countries and the life Many students are wear old school expectancy is only inspired by Harper’s uniforms, if they 51 years old. Most and Pines’ effort to help can afford it,” families cannot afford the children in Uganda. Lesniak said. “I the shoes their children “As a freshman at think that we can need to walk the rocky River, it was nice to hear impact the lives of terrain for one to four about their great project. 800 children and miles a day to get to I aspire to sometime do their families in and from school. Two Photo by Skylar Klager something as beneficial a way that would Spanish River students Ready to make a difference in Uganda, Photo courtesy of Rhonda Lesniak to others as they are make a difference are helping to change Dani Pines and Brian Haper are hoping Students from the Katete Protestant and St. Mary’s doing,” freshman Sam for generations that. Catholic schools are mostly without school supplies, to collect as many pairs of shoes as they Jacobs said. to come. Keep The families of can, with the help of their peers. shoes and basic necessities. Harper is thankful for the children Uganda are financially the tremendous opportunity. healthy and keep them in school, and they will have restrained and do not have enough money to provide “I enjoy helping others because I am thankful for shoes for their children. Spanish River High School a future,” what I have and feel like giving back,” Harper said. Although Lesniak has various goals for the project, seniors Harper and Pines are taking the initiative to Harper and Pines both exhibit a considerable Harper and Pines are focusing on the children’s help the students at St. Mary’s Catholic School and amount of compassion and excitement towards their necessity for shoes. Lesniak visited the schools in Katete Protestant School by collecting flip flops and project and take heed when the opportunity to help Uganda and saw one or two children out of 842 sandals that will eventually be sent to them. Flip flops others arises. wearing shoes. and sandals weigh less than sneakers and therefore, Harper and Pines are appreciative that they they are significantly cheaper to send. Harper and can assist in performing such a generous, selfless Pines’s main goal in this project is to fulfill the gesture. students’ need for shoes because they have difficulty Lindsey Gold can be contacted at Lindseyggalleon@gmail.com “When Mrs. Carter approached me with this project obtaining this necessity themselves.

Uganda by Numbers 81 30,000,000 People living in Uganda

US dollars per year to send one child to school

Million children orphaned according to the Uganda Ministry of gender, labor and social affairs

2.7

One to Four Average number of miles children walk to school on dirt roads without

Teachers for all the children in Katete Protestant school and St. Mary’s Catholic school combined

Children enrolled in Katete Protestant School and St. Mary’s Catholic school combined

FIFTY1

Years of average life expectancy in

842

Art by Carly Coleman photos skylar klager Page compiled by Jennifer Lieberman and Eliana Newman


FEATURE

October 2008 The Galleon

World watches as China becomes global super power

es, harmful gases such as carbon dioxide that harm the earth’s atmosphere and By ELIZABETH MOSES can cause large ozone holes, like the one FEATURE FOCUS EDITOR over Antarctica, to form. A report by the Netherlands Environmental Assessment In our culture, there is often refer- Agency said that China’s emissions in ence to certain countries being con- 2006 “topped the list of CO2 emitting sidered “superpowers,” and while countries, surpassing the USA by an esmost encyclopedias will list only the timated 8 percent.” “As of today, [China’s] industry is United States, Russia and perhaps quickly developing,” Paulkey Fu, the ChiGreat Britain as such, many analysts nese language teacher at Spanish River, are now considering China a member said. “But their related laws are not of the exclusive club. ready yet. Their environment is ruined. The honor of being permitted to So far, they are just focusing on improvhost the 2008 Summer Olympics was ing their life; but they are not thinking China’s initiation into the developed world, and the presence of Ameri- of the damaging that they are making. can president George W. Bush at the Eventually they will suffer in the future, opening ceremonies seemed to repre- and this is also going to affect the whole sent the beginnings of an amicable re- world.” While the consequences that have lationship between the two countries, come with China’s newfound power despite their lengthy history. are abundant and severe, the progress While China is they have made one of the oldest cannot go uncountries still in exnoticed. It is istence today, with projected that its first dynasty datover the next ing back to about few years China 2200 B.C. and its will increase in earliest inventors its influence; responsible for such some scientists marvels as paper are even sugand gunpowder, it gesting that one has never been reday China may garded as a world Photo courtesy of Anagnoson & Kinton hold more clout leader because of The Shanghai skyline is evidence of China’s than the United its isolationist na- modernization. States. ture. For many When asked years China stayed if she was concerned about China surout of world affairs, not participatpassing the United States in the coming ing in world meetings or treaties and years, senior Rebecca Silver answered, refusing to communicate with surrounding countries. Because of this, “Yes, because they have such a large lanew inventions like the automobile bor population. With very few women, did not reach China until years after there is a surplus in men who are willing they had become mass-produced in to work for low wages or join the army. So not only will they surpass us economthe United States. However, China has recently begun ically with cheap goods, but also become to involve itself in world affairs, join- a military power.” The newfound influence, and affluing the United Nations in 1945 and ence, of China was further exemplified in industrializing in a matter of decades. the legendary opening ceremony of the China contributed a third of the eco2008 Beijing Olympics. This display of nomic growth in 2004, and while in art and culture is certainly a sign of the 1985 the average annual income was prosperity to come for China; however, $293, it increased to $2,025 in 2006, the country will need to first address its according to the World Bank. environmental problems before it will “At an amazing speed, modern science and technology have been be able fully live up to its potential. Inmaking continuous progress that is evitably, the impact of China’s fast paced marked by the advancement of in- industrialization will be felt on all the formation technology and bio-tech- world’s cultures, including our own.

g n i h c t

Wa

12

nology” Hu Jintao, President of the People’s Republic of China, said at the Finance Ministers and Central Bank Governors Meeting in Beijing. While China’s growth has been both exponential and admirable, it does not come without its costs. China puts many of its resources into expanding science and technology programs and so their environmental efforts are suffering. According to the World Bank, the country uses 20 to 100 percent more energy than most Organization for Economic Cooperation and Development (OECD) countries, has 20 of the world’s 30 most polluted cities, and lags behind Europe in their automobile standards by nearly ten years. Furthermore, China is now the leading producer of greenhouse gas-

China

Chinas Sphe In

Elizabeth Moses can be contacted at Elizabethmgalleon@gmail.com

Burma

Sudan China buys 90 percent of Sudanese oil, the number one source of revenue for Sudan. This money funds the purchase of weapons (many from China) used in Darfur for a genocide that has claimed the lives of over 200,000 people in the last five years.

China vide ma, oppre allow of its by Nagr


E FOCUS

a

ere of nfluence

a has been known to prodiplomatic support to Bura country plagued by an esive military regime. This ws Burma to continue abuse s citizens, most recently denying many Hurrican ris survivors sufficient relief.

October 2008 The Galleon

13

Human rights violations reveal controversial injustice ily. He was very vocal about Falun Gong of their homes to make way for Olympic in Ireland, and he was closely moni- structures, according to The Washingtored upon his return. While attending ton Post. It also moved beggars, prostia public gathering of Falun Gong prac- tutes and other “problem” residents out Protests, forced relocation of ‘unde- titioners, he was detained. The Chinese of Beijing. sirables’ (beggars, prostitutes and street government took his passport The Chinese are also vendors) and talks of opening-ceremony from him, and he was put unlimited to having only boycotts clouded the 2008 Beijing Olym- der house arrest. According one child. The law was pic Games. As China grows into a world to The Irish Times, Zhao Ming recently extended until superpower, its reputation for human- broke house arrest to attend a 2010 and, according to rights violations has become worse, and Tiananmen Square rally, where CNN.com, can somethe world is watching. he narrowly escaped capture times lead to fines, presZhao Ming, a post-graduate student of by the Chinese police. He went sure to undergo abortion Trinity College in Ireland, was put into a into hiding in Beijing, but was or forced sterilization. labor camp after voicing opinions about recaptured. The law is reportedly his religion, Falun Gong. The religion is “He was held without tricausing an increase in one of several “dissident religions” which al, without formal charge and the number of aborted China bans dewas subject to female fetuses; there are spite claims of some pretty gruesome now 114 boys born for Photo courtesy of the religious freetortures,” Ma- Fulan Dafa Information Center every 100 girls. To avoid dom, according digan said. This woman was beaten and a dramatic decrease in to Spanish RivThe Chinese raped by a policeman after population, a special er history and g o v e r n m e n t passing out Falun Gong fly- provision now allows acting teacher i m p r i s o n e d ers. people without siblings Richard MaMing in the Tuanhe La- to give birth to two children. digan, who bor Camp where they China’s treatment of free speech and organized sevfed him little and forced freedom of the press rights has come uneral protests him to work sun up to der fire. for the release sun down. They evenAccording to freedomhouse.org, an of Zhao Ming Photo courtesy of the Falun Dafa Information Center tually transferred him organization that promotes freedom and during his term The Chinese government imprisoned Zhao to the Beijing Xi’an La- democracy, China suppressed news of a as President of Ming for practicing Falun Gong. bour Camp where, ac- series of taxi driver murders in Beijing the graduate cording to Madigan and in late 2005 through early 2006. The student organization at Trinity College. various publications, they subjected him People’s Daily, a Chinese governmentIn winter break of 1999, Zhao Ming to brainwashing sessions in attempts to controlled newspaper, publishes governtraveled home to China to visit his fam- make him renounce his faith. The gov- ment decisions and occasionally propaernment brought in Ming’s family to ganda. convince him to submit. Madigan deAnd though China received 77 appliscribes treatments such as beatings by cations for protests during the Olympic guards and one instance when fellow Games, zero were approved. prisoners forced Zhao Ming under a low “I think it’s fairly common knowledge bed and sat on it, crushing him, upon or- that dissidents in China tend to disapder of the guards. pear,” Madigan said. “I do know from people who are in The government in China imposes contact with me that he’ll probably never strict Internet filtering on its citizens. walk normally again, as a result of some Opennet.net, an organization studying of the things they’ve done to him,” Ma- Internet filtering to show its potential digan said. pitfalls, says China’s methods are the After about two years of imprison- most sophisticated in the world. ment, Zhao Ming was released. The Chi“If you use Google to search somenese stated that he would be allowed to thing in China, most likely you are getreturn to Trinity College in Ireland, as ting different results as [if] you are his “re-education” was complete. searching in the States here. Quite some Madigan received notification from search results have been screened out by the Chinese government that he would the government,” Fu said. “Also, I have not be granted a visa into China, should relatives in China. From time to time my he ever apply for one, on account of his aunt wouldn’t receive my e-mails, esperole in the protests. cially those e-mails [in which] I was talkThe Chinese government has several ing about the politics or with some comrestrictions on citizens’ activities, which ments about the government. On the they claim are best for the people. other hand, this never happens when I Under the hukou system, citizens have e-mail my sister in Taiwan. Because it’s limits on changing their place of resi- a free country there.” dence. Alban Harrison can be contacted at Albanhgalleon@gmail.com “They are still very strict to let people move to different cities and locations,” Visit www.galleonnews.com to As China develops, it is Paulkey Fu, Spanish River Chinese view extras such as an exclusive producing more pollutants teacher, said. “To go overseas, they still interview with Zhao Ming and a than ever before. These have many government restrictions.” personal account of Richard MadiPrior to the Olympics, the Chinese pollutants not only regan’s experience as a protestor. government booted 15,000 people out duce air quality in China,

By ALBAN HARRISON FEATURE FOCUS EDITOR

World

but have the potential to change weather patterns in the Pacific, according to sciencedaily.com.

Page compiled by Alban Harrison and Elizabeth Moses


14

October 2008 The Galleon

Arts & entertainment

ROCK THE RIVER By ALBAN HARRISON FEATURE FOCUS EDITOR and ALISON SIKES ENTERTAINMENT EDITOR Blaring music, flashing lights and skinny jeanwearing rockers are not daily occurrences at Spanish River High. But on the night of November 6, River’s everyday scene will be turned upside down at Rock the River. After a year-long hiatus, the student-run concert is returning for its seventh time and Spanish River students are more excited than ever before. “I am definitely happy to see it back again because it was disappointment not to have have it last year,” senior Sydney Gray said. “I think Rock the River is a good opportunity for students to get together, show their talents, support one another and just have a good time. This year’s Rock the River is going to be better than ever.” Originally founded as a fundraiser for Spanish River’s former rock n’ roll radio station, Rock the River is the largest charity event supporting WSRH, the school’s television station. “The whole philosophy behind Rock the River is to showcase local and Spanish River bands, both past and present,” sponsor Randy Weddle said. “Rock the River is integral in supporting WSRH. The funds help finance WSRH for new equipment, supplies,

tapes, cables, microphones, basic necessities.” In addition to its charitable contributions and sheer entertainment value, Rock the River is a meaningful learning experience for students. Students will be able to gain experience with real-life production management. From operating the lights and sounds to ticketing and designing merchandise, students run every aspect of the concert. Seniors Taylor Schumate and Zach Walin will be hosting the show. “Getting preparations ready for Rock the River has helped me a lot with my leadership skills,” Assistant Production Manager and senior Chandler Weiner said. “Trying to assign groups with specific projects and roles, and bring it all together into one event, is not an easy task. I know my managerial skills have improved greatly.” Rock the River is also known for featuring bands before they become famous. Previous acts include MTV’s Fallen From the Sky and The Projects. With such a good track record, it is a strong possibility that one of this year’s performers will the music industry’s next big thing. In the lineup are Madelyn, Brett Loewenstern and the Amber Leigh Band. “I am really excited to play on the same stage as the Amber Leigh Band,” junior Kyle Trujillo said. “It’s a really big deal to me.” Trujillo is the drummer in the ska-jazz band Tu Madre, one of three Spanish River student bands performing. Bands Subject to Search and Asterisk* also feature current students. “It’s going to be amazing because we get to play in front of a bunch of people and get to share our mu-

sic,” Trujillo said. “Everything is new and exciting.” Performing on the Rock the River stage is especially meaningful for senior Justin Dahan, drummer in the local alternative-rock band called Asterisk*. “Our group first met two years ago at Rock the River,” Dahan said of his band mates Richard Hue and Juan Ledesmar, both Spanish River graduates. “It has a special place in our hearts.” In addition to raising money for WSRH, Spanish River organization No Place for Hate is involved with the event. No Place for Hate plans to sell food and drinks. There will also be an anti-bullying banner contests in between each act, which is intended to promote tolerance. “Not only are we going to rock the river but we’re going to rock against hate,” No Place for Hate president and co-founder David Estrin said. “We are going to use the proceeds made from selling food and merchandise to implement programs in schools statewide in order to combat hatred.” Rock the River is truly a community event. Concertgoers are not limited to just Spanish River students but to the entire general public. By combining charity with rock n’ roll, Rock the River is a unique and exciting event. Spanish River, prepare to be rocked. Alban Harrison can be contacted at Albanhgalleon@gmail.com Alison Sikes can be contacted at Alisonsgalleon@gmail.com

Asterisk*

Art by Carly Coleman Photo by Alix Luntz


Arts & entertainment

October 2008 The Galleon

15

Vampire craze returns to pop culture

real that you can’t put the book down. Plus, the vampire action and lifestyle is By RENEE SIEGEL awesome and unique.” STAFF REPORTER Following in the success of the first novel, Meyers wrote three more books for the series ending Vampires have come a long way from the days with Breaking Dawn which was released this past of Buffy and Dracula. They used to be known as August. horrible, blood-sucking monsters that were shown Although Meyers wrote the series for young adults, in gruesome movies that gave kids nightmares for many people, especially adult women, share the same years. After an absence from the media, they are now passion for the Twilight series. depicted as strikingly gorgeous, “I thought the Twilight Porsche driving, civil people. series was creative, romantic Vampires seem to be the new “it” and brought me back to my teen characters to write about and to years,” Spanish River parent watch. From books and TV shows Marjory Dobbin said. “I think to movies, kids and adults alike the popularity among adults and are all crazy about this bloodteenagers is due to the romantic thirsty kind. fantasy of immortality and being By far the most popular in love and happy forever.” vampire story right now is that Along with the series, the of Bella Swan and Edward Cullen first Twilight movie debuts in the novel Twilight by StephaNovember 21, 2008, three weeks courtesy of Google Images nie Meyers. Twilight is about Stephen Moyer Photo and Anna Paquin star in the earlier than originally planned. Bella, a high school student, who HBO series True Blood. Adding to the vampire unexpectedly enters the world addiction are the recent booksof vampires when she sits next to a handsome turned-TV shows Blood Ties and True Blood. Blood vampire named Edward in biology class and falls in Ties is a Canadian show that came to the U.S. in love with him; however, Edward is not the stereotyp- March of 2007 and is based off of Tanya Huff’s Blood ical vampire. Edward is selfless and cares only for Price novel series. The show focuses on former cop Bella’s happiness which makes him a desirable char- Vicki Nelson who falls in love with a handsome and acter to both humans and vampires. young-looking man named Henry Fitzroy when she “Twilight is the best book I have ever read,” moves to Ontario. The twist is Henry turns out to be sophomore Natalia Vergara said. “The writing actu- a 480-year-old vampire. ally makes you feel what the character is feeling. The True Blood is a new series on HBO. The storyromance between Edward and Bella is so pure and line is about vampires trying to integrate into the rest

THE GALLEON’S

TOP q HORROR MOVIES 1 psycho

Perfectly combining suspense and mystery, this Alfred Hitchcock cinematic masteepiece sets the standard for what horror films should be.

2 Silence of the Lambs

Cannibalistic serial killer Hannibal Lecter has the audience on the edge of their seat from start to finish, making this film the scariest psychological thriller of all time.

3 The Exorcist

Cruxifictions, awkward contortions, and the devil possessing a teenager, the Exorcist made the concept of satan a reality to the public.

4 The Shining

Jack Nicholson’s portrayal of Jack Torrence, a man convinced by ghosts to commit “RED RUM” on his family, is so scary that you’ll never want to be alone.

5 the texas chainsaw massacre You will never look at power tools the same way again.

Art by Carly coleman photos courtesy of google images

of society thanks to a Japanese synthetic blood drink called “Tru Blood” which satisfies their craving for humans. A local waitress, Sookie Stackhouse, has a gift of reading people’s minds and the show follows her as she learns about the world of vampires. The show blends romance and sexuality with the traditional vampire movie appeal of blood and horror, all in the confines of a small Louisiana town. The advertisements for the show have gained attention due to the unusual campaign method. Advertisements for the actual Tru Blood drink have been posted around cities and the drink even has its own website. With more and more vampire-themed books, movies and TV shows being released, these classic bloodsuckers are being put into a new light. So the next time you are sitting in biology class crushing on the person sitting next to you, beware; vampires seem to be popping up everywhere. Renee Siegel can be contacted at Reneesgalleon@gmail.com

Portrays distorted reality of crime By JASON GROBSTEIN ENTERTAINMENT EDITOR As the opening of CSI’s asks, “who are you?” Well, it’s likely that you are one of the 84 million viewers of CSI: Crime Scene Investigation. According to Neilson ratings, the show’s portrayal of forensic science has made it the number one television show worldwide. After the show’s first broadcast on October 6, 2000, its popularity encouraged more shows related to forensic science to air, such as Cold Case, Criminals Minds, Bones and Numb3rs. These shows are quickly taking over television timeslots as viewers become more interested in forensic science. As CSI features high-tech labs and appealing plots, investigators wonder if the show’s methods resemble real aspects forensic science. Florida Department of Law Enforcement, FDLE, commissioner Gerald Bailey exposed information on this issue during a cabinet meeting in February of this year. While CSI viewers are only faced with one or two criminal cases an episode, he found that law enforcers in reality struggle with more than 90,000 requests a year. “The show has made society more interested in what forensics is all about.” anatomy and physiology teacher Sue Devick said. “But, it also has glamorized it. CSI does not show the tedious and repetitive lab tests that [scientists] must run.” Additionally, while the crime labs on the show employ the latest technology, in reality the budget the FDLE receives from the state government is decreasing by five percent on July 1, significantly limiting technological resources and affecting the process scientists use to find evidence. Therefore, while the crime

labs on the show are appealing, professional forensic scientists urge viewers to understand that these crime labs are not likely in the present economy. As a result, investigators worry that CSI’s fabrications may affect the way jurors interpret information. Eastern Michigan University Professor Donald E. Shelton wrote an article “The ‘CSI effect’: Does It Really Exist?” in which he polled 1,000 jury members. Shelton concluded that CSI viewers generally had higher expectations for scientific evidence than non-CSI viewers. “The show has concerned many professionals in the field,” senior Melanie Feldman said. “The show portrays that DNA may be found from many sources, but in reality it is much harder and [more] expensive to provide than viewers expect.” Feldman attended Florida Atlantic University last summer to take a class on forensic science. Cases with little scientific evidence are becoming harder for lawyers to win. Therefore, lawyers must increase the amount of evidence they provide in order to compete with viewers’ expectations. The brighter side to CSI relates to the education the show provides jurors on forensic evidence and the growing interest in the field. Shelton concluded that although CSI viewers desire more evidence, they are also better at deciding which specific evidence was most appropriate for each case presented. “[CSI] could make jurors more aware and reliable,” chemistry teacher Michael Smalling said. “[Viewers] would have better questions to ask and more to understand about the trial.” Whether or not CSI is hurting society is up for debate. Ultimately, the fact remains that CSI is an entertainment show. Therefore, next time you feel an urge to solve crimes, watch an episode of CSI and enjoy being a detective in your own living room.

Jason Grobstein can be contacted at Jasonggalleon@gmail.com


16

Arts & entertainment New programs provide users with opportunities to reach beyond reality October 2008 The Galleon

By ALISON SIKES ENTERTAINMENT EDITOR

Have you ever dreamed of becoming a rockstar with 20,000 fans chanting your name? How about visiting another country for the day without even leaving your bedroom? Thanks to recent advancements in technology, these once impossible aspirations are among others that have now become virtually possible.

Photosynth

Guitar Hero World Tour

Spore

Want to visit Dubai for the day, but don’t have the time or money to get there? How about a 360 degree view of a friend’s new bedroom without actually visiting? Well what was once impossible is now nearly a reality with Microsoft’s Photosynth. This Internet program allows viewers to build a three-dimensional representation of any place or object. Photosynth software works by collecting images from a variety of sources, mainly from viewer entered content, and then examines the images for shared similarities. These similarities inPhoto courtesy of clude in archimichaelaltnerdorf.wordpress.com tecture lines Photosynth creates a 3D image of St. Mark’s bell tower in Venice, Italy. and pigmentation. The photos are then, according to Microsoft Live Labs, “used to estimate the shape of the subject and the vantage point each photo was taken from.” The final result ends in a three-dimensional graphic of the subject. “Photosynth is great,” Spanish River graduate Shane Klager said. “It allowed me to show my family my new apartment without them actually visiting .” Photosynth is a must-have for college freshmen.

The lights are dim. You walk on stage, guitar in hand, the spotlight focusing on your silhouette. As you are about to strum the G-chord on your Fender, you hear your mom shout, “Time for dinner!” You abruptly snap out of your daydream and realize that your newfound fame and glory only came through your TV screen thanks to Guitar Hero World Tour. The latest edition is made for four players. Two guitarists, a drummer and one singer complete the dynamic quartet in the program’s new “band mode.” Players must prove their singing talent with the USBconnected microphone, as well as their drum-banging abilities on the game’s highly developed drumset. It may seem strikingly similar to its biggest competitor, Rock Band, but Guitar Hero’s makers assure consumers that there are differences. The wireless drum controller, for instance, uses velocity-sensitive technology and has adjustable elevated cymbals, two toms, a snare and a bass-kick drum pedal. This means that the louder the player hits the drum, the louder the sound emitted. World-renowned drummers such as Chad Smith of the Red Hot Chili Peppers and Travis Barker of +44 give rave reviews to the controller’s realistic design. “Especially on the expert levels of Guitar Hero, where you’re nailing every note for note, it’s absolutely like playing what the drummer in the band is playing,” Barker said in a recent interview. Guitar Hero Wolrd Tour hits stores on October 26.

In addition to being a full-time Spanish River student, how why don’t you add the job title of “creator of the universe” to your resume? From the makers of the best-selling computer game The Sims, Maxis’ Spore allows you to create different species and watch life unfold before your eyes. The concept of Spore is revolutionary in the game world. Players design a species all through out the five stages of Spore evolution, beginning with a single-celled organism and end- i n g with a full-fledged, self-sufficient, f u turistic civilization. Players help their unique species learn to walk, invent tools and even designate appendages and facial features. If successful, the species will eventually create technology so advance that spaceflight is available, making it possible for the species to interact with those of other players. Spore is now available in stores.

Sage and Sky Unique clothing & accessories

A Cozy Boutique filled with chic, cool, fun clothes. 561-394-3224

In the Publix Greenwise Shopping Center

ALTERATIONS & EMBROIDERY

HOURS: Mon-Fri 7:30-6:30 • SAT: 7:50-5:30

WILD HARE ON ST. ANDREWS

561.347.8100 21210 SAINT ANDREWS BLVD BOCA RATON, FLORIDA 33433

Alison Sikes can be contacted at Alisonsgalleon@gmail.com

Shavell & Company, p.a. Certified Public Accountants and Consultants

Rich Shavell, CPA, CCIFP 850 NW Federal Hwy. Suite 409 Stuart, FL 34944 (772) 283-4887 www.shavell.net

950 Peninsula Corporate Circle Suite 1000 Boca Raton, FL 33487-1384 (561) 997-7242 Fax: 561-997-7262 rich@shavell.net


17 STUDENT LIFE Shark Shop renovations reflect school pride October 2008 The Galleon

Top5 Ice-Cream Flavors

and Jerry’s 1. Ben Half Baked

Made with cookie dough, brownies and classic vanilla ice cream, it is perfect for a midnight treat.

Double 2. Edy’s Fudge Brownie

If you are a chocolate lover, this is the ice cream for you.

3. Haagen-Dazs’s Bailey’s Irish

If you’re looking for something different and feeling adventurous, try this exotic flavor.

4.

Cold Stone’s

It’s your favorite birthday cake made into ice cream, need we say

5. Brendy’s Mint

This amazing blend of mint and chocolate is perfect for a light dessert. Photo Courtesy of Google

ing with customers, handling money, store stocks specific items, such as restocking and ordering supplies, lab notebooks, that some teachers counting money and making deposits. require for their science classes. By CARLY COLEMAN “It’s definitely good for all the busi- Some of these supplies, such as STAFF REPORTER ness students because they get to use calendar books for student governWith fresh paint, brand new fur- what they learn in class,” DECA fund- ment, are sold for little or no profit nishings, increased enthusiasm and raising vice president and senior Ash- as a service to the students; the few its own page on the new PTSA cents that are earned help website, Spanish River’s school Before fund DECA competition travel store has transformed into the expenses. Also to accommoShark Shop, designed to redate both students and parsemble a college-style store. Its ents is the Shark Shop page on recent renovations include new the PTSA news website, sharkfloors, shelves, countertops, country.net, created by PTSA lighting, ceilings and displays, as President Debbie Ellman. well as new merchandise, such The Shark Shop portion of the as Spanish River Underarmour website highlights the main and Champion sportswear, that items up for sale, for those has helped the shop improve who can’ t make it to the store Photo Courtesy of Ashand attract more students. right away. Other parent vol“I like how [the store] has ley Wargo said. “They do bookkeep- unteers who help maintain and imchanged,” junior Colby Barprove the store include PTSA ton said. “It’s a lot nicer After members Darcie Mainn, Ellen and has more availability.” Sollins and Lorraine Bedick. The store’s upgrade was im“[These changes were] a lot plemented by Prime Manageof work, but very rewarding,” ment and financed by the PTSA said Mainn. “The students and the Spanish River Founare really enjoying the store.” dation. It is currently run by Sweetapple, too, is posiPTSA parent volunteers, DECA tively evaluating the success students and members of the of the improved Shark Shop. Entrepreneurial Academy, the “We get a lot of student Photo by Alix rigorous four-year business traffic though here,” he said. program established this year “They are seeing the qualby marketing teacher and DECA ing and finances [for the store] too.” ity of the merchandise and are The parents who volunteer at the starting to purchase [more].” sponsor, Dennis Sweetapple. The students in these programs help Shark Shop are eager to raise school operate the Shark Shop, learn- spirit on campus as well as provide Carly Coleman can be contacted at ing to run a business by interact- more convenience for students. The Carlycgalleon@gmail.com

Photos courtesy of Spanish River

Spanish River changes, school spirit remains in encouraging school spirit and unity. For one, most students participated in school events. “In the good old days, nearly all the students and faculty participated in dress-up days,” Spanish teacher Candice Blanco said. “Otherwise it isn’t much fun.” One particular factor that played a massive part in boosting student pride was the pep rallies. Especially prominent were the pep rallies that occurred from ’86 through ’97. School spirit was at an all-time high during Su-

English teacher Deborah Stenner said. “People flew by wires across the roof of the gym.” By KATYAYANI JHAVERI Another cause for student excitement in past years STUDENT LIFE EDITOR has been the Tiburon yearbook. In past years, the yearbook has been released in some unique ways. “We once had naval officers jumpTwenty-five years ago, there was an on-campus ing out of planes [in the school courtsmoking lounge at Spanish River. In past pep ralyard] with the yearbooks,” Pascarella said. lies, live lions have been brought into the gym and Over the years, this enthusiasm and exthe principal has dived into a swimming pool from pectation has steadily decreased. the roof. Once, because the cafeteria was found Factors that contribute to the decline crawling with rats, there was a stuof school spirit include more time being dent boycott of the lunchroom for devoted to studies and preparing for the three weeks straight. Many bizarre FCAT and AP exams. Also, the current events have occurred at the school, school administration has to deal with but one thing that has always stayed more problems, such as dress code and intact has been River’s school spirit. violence, than previous ones have had to. Last year, the rivalry among the “They have a lot more on classes reached a point at which their minds.” Blanco said. one could argue it went overboard. Only time will determine whether this At homecoming and other school campus-wide promotion of unity will result events, disputes broke out bein increasing positive interaction among tween the seniors and the juniors. the classes. But if the first pep rally of Cars were painted on, backs were the ’08-’09 year is an indicator of turned at pep rallies, and signs were Photo by skylar klager changing attitudes among the sturipped down in designated class Class officers stand togather during the first pep rally on September 7th to promote school unity. dents than Spanish River has defihallways As a result, the school nitely gotten off to a better beginning. perintendent Art Johnson’s reign as principal. is persistently promoting unity this year. Stu“Dr. Johnson’s philosophy was work hard, but dents were told at class orientations that there play hard,” history teacher and former alumwill be no more derogatory chants toward freshni Christian Pascarella said. “He was intimen and underclassmen at future pep rallies. mately involved with planning the pep rallies.” “I think all freshmen should have to earn the During those years, along with live anirespect they need for high school,” junior Samanmals and swimming pools, even cars tha Klasfeld said. “Freshman year is about experiwere brought into Spanish River’s gym. ences that you can remember and laugh back at.” Katyayani Jhaveri can be contacted at “The pep rallies were like Broadway shows,” In the past, many factors have played a part Katyayanijgalleon@gmail.com


advertisementS

Women’s Healthcare Associates, P.A. Board Certified Obstetricians & Gynecologists

Samuel Kaufman, M.D. Stewart P. Newman, M.D. Susan Beil, M.D. Jane Rudolph, M.D. Gostal Arcelin, M.D. Melissa A. Friedman, M.D. Lauren Feingold, D.O. Patricia Chen, M.D. Terry DeFilippo, C.N.M. Rachel DeVaney, C.N.M. Minda Neimark, M.D. (Urogynecology) Offering Routine Gynecology Exams, Gardasil H.P.V. Vaccine for the Prevention of Cervical Cancer, Contraceptive Counseling, S.T.D. Prevention/Testing 5000 W. Boynton Beach Blvd, #200 6853 S.W. 18th Street, Suite 301, Boca

(561) 734-5710

(561) 368-3775

Medical Aesthetics Center

At Women’s Healthcare Associates Laser Hair Removal, Restylane, Botox, Collagen, Sclerotherapy, Sculptra, Juvaderm, Permanent Makeup, Specialty Peels, Facials

Lauren Midlarsky, D.O. 6853 S.W. 18TH Street, Suite 301, Boca Raton

(561) 620-6262

certified color specialists • convenient hours • designer cuts & styles • open 7 days

18

October 2008 The Galleon


19 Student life Make the most out of your college visit October 2008 The Galleon

sity of Florida are located where the entire surrounding area is devoted to the college. Then there are the smallest of the small that are located in quiet and remote areas. All of these schools have their benefits and disadvantages. It all comes down to where you feel most comfortable. Housing. Many schools offer residency tours where you can stay for an extended period of time with a student tour guide, and they will show you the nicest dorms that the college offers. What they might not tell y o u ; Top 5

By HILLARY LANGSAM COMMENTARY Think of a school. Any school. Ivy League, Top 10, your dream school. You picture it in your head, and there it stands, tall and regal, or small and cozy. The professors are perfect and well-educated and on the website, the dorms appear more than adequate. Come August, you head to school. Anxious and eager, you look around, and nothing is as you imagined. Your professors are unavailable and dull. And that dorm room-- awful. College comes as a shock to many teenagers. One way to ease the process is to visit several of the schools you wish to apply to, and know how to ask good questions. Academics. It is ideal to visit while classes are in session. Look at the class sizes—are the majority of the rooms lecture halls or smaller classrooms? You can also get a feel for the student population. Whether you prefer a school with 40,000 people or 2,000 people may have a huge impact on your final decision. Often, administrators are able to set up meetings for you with department heads or teachers who have expertise in areas which you want to study or careers you plan on pursuing. Classes also occur during the summer at many schools, and occasionally you can sit in on them. Setting. Small town girl? City boy? There is a school for you. New York University and Boston University, for instance, are city schools. They are located on the outskirts of a city, or in the heart of it where the hustle and bustle never stops. Other schools such as Indiana University and the Univer-

questions to ask during college visits:

•Are housing applications due with the regular application? • How easy is it to get on and off campus without a car? •Are there study abroad programs offered? Are they associated with certain areas of study? • Is there a social life beyond the Greek system? •How accesible is the nearest airport?

h o w ever, is that the cost is significantly higher. If you know anyone attending that school in a regular dorm, ask if they can show you their dorm. Often, schools do not have enough room to accommodate all of their students, so it is important to ask about housing deadlines and if there are spots for all incoming freshmen. Get as much information

River Guide:

How to Start a Club Step 1

A Club

2

Ask teachers if they’d be interested. Remember they have busy schedules too!

Think of a concept for your club.

Step 6

Step

Find a sponsor.

Set certain goals for your club and get meetings organized. Decide what you want to achieve during the school year. Also, make a list of what you are planning to cover for each meeting.

GO SHARKS! Ronald L. Siegel, PA Attorney at Law Board Certified in Wills, Trusts and Estates 1800 N.W. Corporate Blvd.. Suite 302 Boca Raon, FL 33431 (561) 241-3113 fax (561) 3226 www.rsiegellaw.com

as possible about the dorms; they will become your home. Safety. School security and safety is of utmost importance on a campus. All colleges have campus police. But as crime rates increase, many schools have adopted new security protocol, such as escort services and the blue light system, where students can press a button at certain “blue light” stations and get in touch with campus police within 60 seconds. If you feel uncomfortable about safety, don’t attend the school. Are there many alleys and minimal light? Scratch it off the list. Your safety for the next four to ten years should be ensured. Campus Life. Nobody expects you to become a study hermit. College is a place where you can experiment with different interests doing anything from joining a video-game club to partying the night away. Want to run for student government president? Go for it! It’s all up to you. Prestigious schools, rising schools, community schools; at every school, there’s bound to be an activity for you. Your college experience is whatever you make of it. Some schools have avid Greek communities; some do not promote it at all. Being aware of the school’s social scene can help you make a choice. The future can be frightening, but it’s heading towards us at a rampant pace. It is becoming increasingly necessary to think and plan ahead. Do yourself a favor to make at least one decision easier—make a few visits to schools that you are considering. You will be better prepared for what is to come. So come April, after getting that acceptance letter, you will know exactly what to expect. Hillary Langsam can be contacted at Hillarylgalleon@gmail.com Photo by Alison Sikes

Step 3

Decide when and where the club will meet.

Step

Step

5

4

Start advertising through WSRH PSAs, posters in the hallways and by word of mouth. Page compiled by Katyayani Jhaveri and Hillary Langsam


20

October 2008 The Galleon

ADVERTISEMENTS

S.E. corner Linton & Military. Open 7 days a week. (561) 496-3161

1/18 Salon Blu Distinctive Designs Inc. “for all your decorating needs�

Michele Dickstein Residential Commercial Remodeling Flooring, Lighting Furniture, Accessories Space & Color Planning distinctivedesigns4m@yahoo.com

561-906-4627


Volleyball team adopts new training program By HALEY FEIGENHEIMER SPORTS EDITOR Spanish River High School’s girls’ volleyball team has caught onto a new trend aimed at improving conditioning work-outs and player endurance. Xtreme Performance Enhancement (XPE) is a physically demanding training program that provides schools with state of the art sports training centers to help better develop athletes to their full performance potential. This program is for both males and females and is designed to improve the speed and agility of athletes. “The girls volleyball team is one of the most competitive teams on campus because of their strong work ethic,” Coach Roxi Bradway said. Bradway has coached the team for the past five years and makes sure that each season the girls are well prepared. Along with weightlifting three times a week, vigorous conditioning two times a week, Saturday morning beach practice, and the expectation that

Photo by alix luntz

the girls will independently play on Sundays, the girls’ volleyball team can now add one more workout routine to their repertoire. “The program is in its beginning stage,” Bradway said. “We are lucky that we found it early and hopefully more teams will take advantage of the program.” XPE was discovered by Bradway when Spanish River alumni and former varsity girls’ volleyball player Devon Woolard stopped by to watch a practice. After Woolard told Bradway that her vertical jump had improved by over four inches since she began training with XPE, Bradway decided that the team would soon have a new component to their workout routine. “The program is in its beginning stage,” Bradway said. “We are lucky that we found it early and I hope that more teams will take advantage of the program.” On Tuesday and Thursday of every week until the end of the season, TJ Jackson, a personal trainer and the President of XPE sports will run the program at Spanish River. The curriculum consists of agility, speed, flexibility, strength and core training on equipment that looks like a children’s jungle gym. Because the equipment is costly, Spanish River Coach Lori Eaton and the Gold Coast Volleyball club are helping to fund the team. Along with the local support, Jamall Lewis, a running back of the Cleveland Browns is providing the equipment for the girls. “I think that everyone is really excited about the [XPE] program,” girl’s volleyball captain Casey Gnann said. “It is a great way to train during the season, and it isn’t the traditional workout that we’re used to.” XPE is proven to heighten athlete’s natural abilities so they can progress as athletes. This program is going to further facilitate the SRHS volleyball team to progress as a team and individuals, so that they can reach their goal of winning States. Haley Feigenheimer can be contacted at Haleyfgalleon@gmaill.com

October 2008 SPORTS The Galleon 21 Summer Olympics inspire record-number tryouts By NICOLE GRANET STAFF REPORTER The summer Olympics were hot, and now, so is the sport of swimming. More students than ever before attended Spanish River High School fall swim team tryouts looking for a new way to cool off. “Swimming is a good workout and a good way to compete against yourself and other people,” freshman Katelyn Karekos said. She joined swim team for the first time because she feels it is good exercise and her sister is on the team. However, Coach Grif Fig has a different idea as to why swimming has all of a sudden become so popular – Michael Phelps. “The whole world was watching Phelps win gold medals, so even the people who aren’t in the sport of swimming got excited,” Fig said. The Olympics boosted the number of people trying out for the swim teams in Texas, Nebraska, Illinois, Washington D.C., California and in the rest of the country – not just a t Spanish River. “ T h e summer Olympics i s giving our team a burst of popularity,” one of four team captains, senior Tim Heneks said. According to www. usaswimming. org, USA Swimming’s highest post-Olympic bump was in 1992, when there was a ten percent increase in nationwide membership. After the 2008 Olympics, experts are projecting at least a 20 percent growth. There has been a pattern in which after every summer Olympics there is a burst in swimming’s popularity. That burst is already happening on the

swimming and diving team at Spanish River. In all of the team’s previous years, the highest number of divers has been four, this year there were eighteen divers who tryed out, and eleven who made the final cut. Fig looks forward to the new season. “I hope that they realize that they have to commit to the whole season and they’re as pumped up about it in October as they are now,” Fig said. He believes that even with the recent swimming craze, the sport may never get the popularity it deserves. A sport becomes popular because it is entertaining, and Fig admits there probably will not be a swim meet that 60,000 people come to watch. “You don’t truly understand how much work swimming is unless you’re and swimmer and you’ve gone through it,” Fig said, “But that doesn’t mean that the athletes don’t deserve popularity.” However, the Olympics and Phelps did have an impact on swimming in America and on the Spanish River High school swim team. “Phelps makes it look so easy and then people think it would be a lot of fun to swim,” junior Eddie Sears said. “Going to the Olympics gives people something to strive for and makes them want to come out for our team.” Team captain, senior Tamarah Strauss said that the swimming craze will be very encouraging for the team. “With a bigger group, we can show more spirit and be more enthusiastic,” Strauss said. Even though swimming is currently going through a very popular stage, Fig believes that as a swimmer, you need to do it for yourself, not for popularity.

Nicole Granet can be contacted at Nicoleggalleon@gmail.com PHOTO BY ALIX

Po p C u l t u re G r i d THE ATHLETES

JOE LENOFF

the best midnight treat is...

michael phelps or misty may

cold pizza

Misty May no doubt!

football

CHRISTINA WILSON volleyball

ARI MARCUS golf

LEXI LIBERATI cheerleading

mint chocolatechip ice cream and brownies

vanilla ice cream

chocolate chip cookies

Misty May

Michael Phelps

Michael Phelps

my favorite movie quote is... “No excuses, play like a champ!” - Wedding

guitar hero or rock band Guitar Hero

Can we turn our beds into bunkbeds? -Step Brothers

Guitar Hero

“There’s no slicing around at bushwoods, and I dont slice” - Caddyshack

Rock Band

“Nobody puts Baby in a corner” -Dirty Dancing

Guitar Hero

PHOTOS COURTESY OF GOOGLE IMAGES


22

May 2008 The Galleon

SPORTS

THE FANTASY FORUM Fantasy Football is a fantasy sports game in which participants, also known as “owners,” are arranged into a leagueonline or on paper. Each owner drafts or acquires a roster of position-specific NFL players. These positions include, but are not limited to, quarterback, running back, wide receiver, tight end, kicker and defense. Teams score points based on their players’ statistical performance on the field during real NFL games. The commissioner may choose to arrange the league so that the winner is the team with either the most points (Roto format) or the most wins (head-tohead format) at the end of the season.

Fantasy football phenomenon turns fans into virtual managers, statisticians By DAVID ESTRIN SPORTS EDITOR During a three-week road trip to the East Coast with the Oakland Raiders, eight young men affiliated with the organization formed the first Fantasy Football league. What once began as a petty hobby- a “league” of young men sitting around a table drafting players, calculating and tabulating statistics- has now become a raging, global phenomenon that spares no sport or school; Spanish River is no exception. Due to the arrival of the Internet Age, the fantasy sports arena has laid claim to the interest of millions of males and females from as young as eight to as old as fifty. According to the Fantasy Sports Trade Association, 29.9 million people aged 12 and above played Fantasy Football in 2007, a statistic up from 19.4 million the year before. Fantasy sports are estimated to have an annual economic impact of $3 - $4 billion throughout the sports industry. The rise of the Internet lowered the barrier to entry to the hobby as stats could quickly be compiled online and news and information became readily available. “The social aspect is the best,” social studies teacher and seasoned Fantasy Football veteran Dave Yunker said. “It is a good way to keep in touch with old friends.” For senior Adam Levine, the reason behind his involvement is ESPN’s incessant ad campaign promoting Fantasy Football along with some well-intentioned peer pressure. Levine

said that he has seen a change in himself due to his four year Fantasy Football career. “Not only do I enjoy the sport of football more, but I also view

things from a more analytical perspective- a direct result of my Fantasy Football involvement,” he said. Students and teachers agree that there are great benefits from participation. The social aspect is evident in schools, especially on Monday and Tuesday mornings during the NFL season. A buzz is palpable in the hallways and in classrooms, as students are eager to discuss the performance of their fantasy teams. Students’ conversations regarding their teams are surprisingly intellectual. Yunker said that it is apparent that students have “learned concepts of trends and statistical analysis” in addition to “communication […] skills.” “In a sense, it stimulates a business-like approach because you have to manage your players or employees, negotiate trades and make crucial roster decisions,” Levine said. Football phenomenon seems to be a permanent one at Spanish River. On Monday mornings, when students and faculty alike dread their presence in school, the buzz of Fantasy Football will be there to uplift them.

ten commandments of fantasy football

David Estrin can be contacted at Davidegalleon@gmail.com

Football coaches bring winning philosophy to team, expect positive changes for season By CARLY COLEMAN STAFF REPORTER This year, Spanish River’s varsity football team is undergoing a new development process involving increased commitment and a renewed drive to improve. The team is now chiefly a veteran team, including seventeen seniors and seventeen juniors. However, it is the new coaching staff and the goals they have brought to the team that are initiating the changes already occurring to help achieve better success on the field. Coach Perry Schneider began coaching football at Spanish River two years ago. Prior to that, he coached the Cooper City, Deerfield Beach and Taravella High School football teams in Broward County, bringing about change and improvement for each. He intends to employ similar innovations at River. “This is a process of learning all the little things, learning how they work so that we can better compete on Friday nights,” Schneider said. “It is a long process.”

Part of this process is a commitment to the weight room that the boys have shown during last year’s offseason. For half a year, they dedicated themselves to developing their physical strength. Many gained 1015 pounds in muscle by focusing on their core lifting areas. “These exercises improved how much can be

This is a process of learning all the little things, learning how they work so that we can better compete on Friday nights. It is a long process.

-Coach Perry Schneider

lifted,” Assistant Coach John Cianfolo said. “That alone should make us a more competitive team on the football field.” In addition to added strength, the players feel they

are benefitting from their new tackling drills and mental techniques. New defensive coordinator coach Ray Berger has been teaching his players to study and analyze film footage of opposing teams’ plays. Defensive linebacker and senior Jimmy Wilson looks forward to playing rival team Boca High this season. He feels that the River team will be much more competitive this year as compared to last year and previous years. “I think we’re going to […] win at least half of our games,” Wilson said. “Don’t expect crushing losses this year.” When asked about considering the Speed to Win (XPE) Program that the volleyball team has adopted, the football coaches agree that it is a useful tool but could only be incorporated during the off-season. For now, however, both coaches and players alike are anticipating a more rewarding season as a result of the program’s improvements. Carly Coleman can be contacted at Carlycgalleon@gmail.com


October 2008 SPORTS The Galleon 23 Senior privelege vs. freshman experience poses consideration for coaches By JASON WELTMAN STAFF REPORTER At the onset of any sports season, coaches must make tough choices as they finalize their rosters and teams. Should they keep the senior who has devoted years and displayed commitment, or choose the freshman who came out of nowhere and has displayed terrific talent and athletic ability? It is a question that has deep impacts at both the college and high school athletic levels. “That senior has to understand that the coaches are going to put the best players on the field,” senior Nick Gonzalez said. “If he wants to start again, he has to prove he deserves it in practice.” This is a common theme among all athletes at the high school and collegiate levels. The team comes first and is more important than any individual player, senior or freshman. “If a senior is only as good as a freshman, who is four years younger, then that spot should go to the freshman,” senior Trevor Barton said. “In order for that sports program to keep getting better, they need to invest in the player who has the most time to get better and help that program to get better. It is about what is best for the team, and what is best for the team is a younger player who can grow more and help the program more.” This sentiment is not unanimous, however. In fact, there were times when it was not in the team’s best interest to go with the more talented freshmen. In 2006, freshman quarterback Tim Tebow arrived at the University of Florida with numerous records and a reputation that preceded him. Chris Leak, the starting quarterback at the time, was entering his se-

nior year. Leak did not have the arm Tebow did, nor was he as effective running the ball. In fact, Leak did not even fit coach Urban Meyer’s system as well as Tebow did. Despite all of this, Meyer decided to start the senior, Chris Leak, but also utilize Tebow’s talent at select moments to keep the defenses they would be facing constantly on their heels. The Gators won the national championship for 2006 and continued with their success. The following year, Tebow won the Heisman Memorial Trophy, awarded to the best college football player in the country. He was the first

sophomore to ever win the award. “I think it’s great when freshmen go out for sports teams,” senior Taylor Levins said. “Sooner or later they are going to be the ones to carry the team. But that’s just it. Sooner or later.” The vast majority of the time, a senior on a team has been around for two to three years. Their time has been a commitment, proof of their dedication to

Coral Springs (954) 510-0600

Also in... Palm Beach Gardns (561) 626-2662

the team. Freshmen, as they are constantly reminded, have four years ahead of them, which leaves ample time to start on whichever team or teams they choose. But they want to take advantage of all four years. “Talent and skill are more important than whether or not you have already been on the team,” freshman Lex Weiner said. “If you make the team early on, you are given the opportunity to gain experience over time.” There are times when experience, composure, proven commitment and dedication are preferred. But conversely, shining talent and ability are also taken into account. It can depend on the players, such as what intangibles they provide to the team that go beyond talent or experience. It can also depend on the coach, and the type of student-athlete they are looking for on their team. In fact, this is often the determining factor, as it is the coach’s call. “If you are good enough, you are old enough,” girl’s varsity soccer coach Kevin Turner said. “There are many factors that determine who is going to get what spot, if any, on a team. I am not going to let age be one of the major ones.” So, it comes down to the sport and even more so the team and coach. There is no clear answer to this issue, and when the determination of which person gets that spot in the starting lineup factors in more than just grade level. But the best answer, according to the coaches and student athletes, is the one that is best for the team.

Wellington (561) 335 8882

Jason Weltman can be contacted at Jasonwgalleon@gmail.com


5100 Jog Road, Boca Raton, FL 33496 Issue 1 Volume 25 October 2008

Shark Infested Waters Mallory Jones

Favorite warm-up song: “Stronger Remix” -Daft Punk Favorite swimmer: Aaron Piersol Favorite event: 100 Yd Fly Biggest rival: Boca High

Tim Heneks

Favorite warm-up song: “See You Again” - Miley Cyrus Favorite place to swim: My inflatable pool Favorite pre-race drink: Muscle Milk

. Tig a

y ne f t us s Tam a r a h St r as o ng: “Thin k ing o f Yo u” - L il Wa

-up Fav o r ite wa r m re e s t y le F d Y 0 0 5 : t n o the pool t in if r G h c a Fav o r ite e ve o t o r y: Th ro w C ic v a e t a r b le e Be s t way t o c

Ale x D ’A u g e

l li

-up so m r a w e it r o Fav

Fav

ng: “ I Wa

c k s t re e a B ” y a W n t it Th at

re e s t y le

0 Yd F 5 : t n e v e e or i t

Fav o Pre

: Ry a n r e m im w s r i te

ix coo S : l a e m e -rac

k ie s

L o c h te

t B o ys

Issue 1  

Issue 1 of The Galleon, 2008-2009

Read more
Read more
Similar to
Popular now
Just for you